Loading...
Searching...
No Matches
pcl::detail::int_type< Bits, Signed > Struct Template Reference

int_type::type refers to an integral type that satisfies template parameters More...

`#include <pcl/types.h>`

## Public Types

using | type = void

## Detailed Description

template<std::size_t Bits, bool Signed = true>
struct pcl::detail::int_type< Bits, Signed >

int_type::type refers to an integral type that satisfies template parameters

Template Parameters

  Bits | number of bits in the integral type
  Signed | signed or unsigned nature of the type

Definition at line 63 of file types.h.

## Member Typedef Documentation

## type

template<std::size_t Bits, bool Signed = true>

using pcl::detail::int_type< Bits, Signed >::type = void

Definition at line 63 of file types.h.

The documentation for this struct was generated from the following file:

- pcl/types.h